Bug 151682 - Starvation in RequestProcessor
Starvation in RequestProcessor
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@platform
issues@platform
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 09:48 UTC by Jaroslav Tulach
Modified: 2009-02-19 22:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Log & thread dump (37.74 KB, text/plain)
2008-10-29 09:48 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-10-29 09:48:25 UTC
In case of "inversion of control" waiting, one could get the request processor into a starvation. This happened quite 
often in datasystems tests, where modifications to disk happen in parael with scheduling and waiting for various 
tasks.
Comment 1 Jaroslav Tulach 2008-10-29 09:48:47 UTC
Created attachment 72816 [details]
Log & thread dump
Comment 2 Jaroslav Tulach 2008-10-29 09:50:51 UTC
1a09ded920db
Comment 3 Jesse Glick 2008-10-29 16:29:36 UTC
How old is this? Reported against 7.0 but I presume a (potential) problem for much longer.
Comment 4 Jaroslav Tulach 2008-10-29 17:56:14 UTC
The code is there since 3.4, at least, maybe it is there even for longer amount of time.
Comment 5 Quality Engineering 2008-10-30 04:57:10 UTC
Integrated into 'main-golden', will be available in build *200810300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1a09ded920db
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #151682: Don't waitFinished() on tasks reported as isFinished()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo